/*
 * Created on Jan 18, 2005
 */
package proxyconfig;
import javax.swing.*;
import java.awt.*;

/**
 * @author danjo
 */
public class MessageLabel extends JPanel {

    public MessageLabel (String msg, 
            Color backgroundColor,
            int fontSize) {

        setBackground(backgroundColor);
        setBorder(BorderFactory.createLineBorder(Color.BLACK));

        JLabel lb = new JLabel();
        lb.setText(msg);
        lb.setHorizontalAlignment(JLabel.CENTER);
        lb.setFont(new Font("Arial", Font.PLAIN, fontSize));

        setLayout(new BoxLayout(this, BoxLayout.X_AXIS));

        add(Box.createHorizontalGlue());
        add(lb);
        add(Box.createHorizontalGlue());

    }
}
