which java 2>/dev/null 1>/dev/null
if [ $? -ne 0 ]
then
	echo "Unable to find java.  ProxyConfig GUI requires Java 1.4.2 or higher."
	exit 0
fi

if [ ! -f ProxyConfig.jar ]
then
	echo "Unable to find ProxyConfig.jar.  This script requires that ProxyConfig.jar be in the same directory."
	exit 0
fi

if [ ! -d config_files ]
then	
	echo "Unable to find config_files directory.  ProxyConfig requires the config files to be edited to be in the same directory."
	exit 0
fi

# Finally launch the GUI
java -cp . -jar ProxyConfig.jar
