/*
 * Created on May 18, 2005
 */
package proxyconfig.certificate;

import java.awt.Color;
import java.awt.Dimension;

import javax.swing.*;

/**
 * @author danjo
 */
public class CertificateCompletePanel extends JPanel {
    JEditorPane msgLB;
    
    CertificateCompletePanel () {
        setLayout(new BoxLayout(this, BoxLayout.Y_AXIS));
        setBackground (proxyconfig.ProxyConfig.BACKGROUND_COLOR);
        
        msgLB = new JEditorPane();
        msgLB.setContentType("text/html");
        msgLB.setMaximumSize (new Dimension(700, 150));
        msgLB.setEditable(false);
       
        msgLB.setBackground (proxyconfig.ProxyConfig.BACKGROUND_COLOR);
        
        add(msgLB);

    }
    
    void setSuccessMessage (String name, String certFileName, String privKeyFileName) {
        String msg = 
        "<br><br><br><center>" + "<font face=\"arial\">" +
             "Certificate for \"<b><font color=\"blue\">" + name + "</font></b>\" has been successfully stored in " 
             + " in <b>" + certFileName + "</b>.  <br><br>Private key has been stored in <b>" + privKeyFileName + "</b>." +
             "</center>";
             
                
        msgLB.setText(msg);
    }
    
    void setMessage (String msg) {
        msgLB.setText(msg);
    }

}
